Bug 1709059 - cannot upgrade glib-networking.i686 with glib-networking.x86_64
Summary: cannot upgrade glib-networking.i686 with glib-networking.x86_64
Keywords:
Status: CLOSED DUPLICATE of bug 1708975
Alias: None
Product: Fedora
Classification: Fedora
Component: glib-networking
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-12 22:32 UTC by Hin-Tak Leung
Modified: 2019-05-14 01:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 01:43:25 UTC


Attachments (Terms of Use)

Description Hin-Tak Leung 2019-05-12 22:32:11 UTC
# rpm -q glib-networking
glib-networking-2.60.1-2.fc30.x86_64
glib-networking-2.60.1-2.fc30.i686


dnf upgrade --refresh
...
Description of problem:
 Problem: glib-networking-2.60.1-2.fc30.i686 has inferior architecture
  - cannot install both glib-networking-2.60.2-1.fc30.x86_64 and glib-networking-2.60.1-2.fc30.x86_64
  - cannot install both glib-networking-2.60.1-2.fc30.x86_64 and glib-networking-2.60.2-1.fc30.x86_64
  - cannot install the best update candidate for package glib-networking-2.60.1-2.fc30.i686
  - cannot install the best update candidate for package glib-networking-2.60.1-2.fc30.x86_64
===================================================================================================================================================================
 Package                                    Architecture                      Version                                     Repository                          Size
===================================================================================================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 glib-networking                            x86_64                            2.60.2-1.fc30                               updates                            140 k
...

# dnf upgrade --refresh --best --allowerasing
...

Dependencies resolved.
===================================================================================================================================================================
 Package                                          Architecture                     Version                                 Repository                         Size
===================================================================================================================================================================
Upgrading:
 glib-networking                                  x86_64                           2.60.2-1.fc30                           updates                           140 k
Removing dependent packages:
 PackageKit-gtk3-module                           i686                             1.1.12-5.fc30                           @fedora                            35 k
 glib-networking                                  i686                             2.60.1-2.fc30                           @fedora                           553 k
 gtk3                                             i686                             3.24.8-1.fc30                           @fedora                            20 M
 gtk3-devel                                       i686                             3.24.8-1.fc30                           @fedora                            32 M
 libcanberra-gtk2                                 i686                             0.30-19.fc30                            @fedora                            59 k
 libcanberra-gtk3                                 i686                             0.30-19.fc30                            @fedora                            77 k
 libsoup                                          i686                             2.66.1-2.fc30                           @fedora                           1.3 M
 rest                                             i686                             0.8.1-5.fc30                            @fedora                           226 k

Transaction Summary
===================================================================================================================================================================
Upgrade  1 Package
Remove   8 Packages

Total download size: 140 k
Is this ok [y/N]: 
Operation aborted.
...





Version-Release number of selected component (if applicable):

# rpm -q glib-networking
glib-networking-2.60.1-2.fc30.x86_64
glib-networking-2.60.1-2.fc30.i686

How reproducible:
always

Steps to Reproduce:
1. have both 
# rpm -q glib-networking
glib-networking-2.60.1-2.fc30.x86_64
glib-networking-2.60.1-2.fc30.i686

2. try upgrading
3.

Actual results:
being asked to remove i686 version (and all the gtk3.i686 stuff, etc).

Expected results:
upgrade smoothly.

Additional info:

Comment 1 Jon Voss 2019-05-13 15:45:33 UTC
I also have this issue:

sudo dnf update

Last metadata expiration check: 0:42:22 ago on Mon 13 May 2019 11:00:54 AM EDT.
Dependencies resolved.

 Problem: glib-networking-2.60.1-2.fc30.i686 has inferior architecture
  - cannot install both glib-networking-2.60.2-1.fc30.x86_64 and glib-networking-2.60.1-2.fc30.x86_64
  - cannot install both glib-networking-2.60.1-2.fc30.x86_64 and glib-networking-2.60.2-1.fc30.x86_64
  - cannot install the best update candidate for package glib-networking-2.60.1-2.fc30.i686
  - cannot install the best update candidate for package glib-networking-2.60.1-2.fc30.x86_64
================================================================================
 Package                Architecture  Version              Repository      Size
================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 glib-networking        x86_64        2.60.2-1.fc30        updates        140 k

Transaction Summary
================================================================================
Skip  1 Package

Nothing to do.
Complete!

----------

sudo dnf update --best --allowerasing

Last metadata expiration check: 0:43:15 ago on Mon 13 May 2019 11:00:54 AM EDT.
Dependencies resolved.
============================================================================================================================================================================
 Package                                  Architecture                   Version                                   Repository                                          Size
============================================================================================================================================================================
Upgrading:
 glib-networking                          x86_64                         2.60.2-1.fc30                             updates                                            140 k
Removing dependent packages:
 glib-networking                          i686                           2.60.1-2.fc30                             @fedora                                            553 k
 gtk3                                     i686                           3.24.8-1.fc30                             @fedora                                             20 M
 libdbusmenu-gtk3                         i686                           16.04.0-11.fc30                           @fedora                                            108 k
 libsoup                                  i686                           2.66.1-2.fc30                             @fedora                                            1.3 M
 rest                                     i686                           0.8.1-5.fc30                              @fedora                                            226 k
 steam                                    i686                           1.0.0.61-1.fc30                           @rpmfusion-nonfree-updates                         2.8 M

Transaction Summary
============================================================================================================================================================================
Upgrade  1 Package
Remove   6 Packages

Comment 2 Robin Lee 2019-05-14 01:43:25 UTC

*** This bug has been marked as a duplicate of bug 1708975 ***


Note You need to log in before you can comment on or make changes to this bug.